namespace ldap_cesi.Models;

public class ResponseDataModel<T> : ResponseModel, IResponseDataModel<T> where T : class
{
    public T Data { get; set; } = null!;
    public int? TotalPages { get; set; }
    public int? TotalCount { get; set; }
    public int? PageNumber { get; set; } 
    public int? PageSize { get; set; } 
}