using ldap_cesi.Entities;

namespace ldap_cesi.Repository.Services;

public interface IRepositorySalarie : IRepositoryBase<Salarie>
{
    Task<Salarie> GetSalarieWithRelationsAsync(int id);
    Task<List<Salarie>> SearchByNameAsync(string inputRecherche);
    Task<List<Salarie>> GetSalariesBySiteAsync(int siteId);
    Task<List<Salarie>> GetSalariesByServiceAsync(int serviceId);
}