using ldap_cesi.Entities;

namespace ldap_cesi.Services.Interfaces;

public interface IJwtService
{
    string GenerateToken(Utilisateur utilisateur);
    string GetPublicKey();
    Task<bool> ValidateToken(string token, int userId);
    Task<bool> InvalidateToken(string token); 
}