using ldap_cesi.DTOs.Inputs;
using ldap_cesi.DTOs.Outputs.Utilisateur;
using ldap_cesi.Entities;
using ldap_cesi.Models;

namespace ldap_cesi.Services.Interfaces;

public interface IUtilisateurService
{
    Task<IResponseDataModel<List<UtilisateurOutputDto>>> GetAll();
    Task<IResponseDataModel<UtilisateurOutputDto>> GetById(int id);
    Task<IResponseDataModel<UtilisateurOutputDto>> Login(UtilisateurLoginDto utilisateurInput);
}