using ldap_cesi.Repository.Services;
using ldap_cesi.Services.Interfaces;
using ldap_cesi.Entities;
using ldap_cesi.DTOs;
using ldap_cesi.DTOs.Inputs.Role;
using AutoMapper;
using ldap_cesi.Validator.Role;

namespace ldap_cesi.Services;

public class RoleService : ServiceBase<Role, RoleDto, RoleCreateDto, RoleUpdateDto>,IRoleService
{
    public RoleService(IRepositoryRole repositoryRole, IMapper mapper, ILogger<RoleService> logger, RoleCreateValidator roleCreateValidator, RoleUpdateValidator roleUpdateValidator)
        : base(repositoryRole, mapper, logger, roleCreateValidator, roleUpdateValidator)
    {
    }
}